import FAQQuestion from "@/components/FAQQuestion";
import Link from "next/link";
import React from "react";

export const FrequentlyAsked = () => {
  return (
    <div className="max-w-[85rem] px-4 py-10 sm:px-6 lg:px-8 lg:py-14 mx-auto">
      <div className="max-w-2xl mx-auto text-center mb-10 lg:mb-14">
        <h2 className="text-2xl font-bold md:text-4xl md:leading-tight text-black dark:text-white">
          Your questions, answered
        </h2>
        <p className="mt-1 text-gray-600 dark:text-gray-200">
          Answers to the most frequently asked questions.
        </p>
      </div>

      <div className="max-w-2xl mx-auto">
        <div className="hs-accordion-group">
          <FAQQuestion title="Why Is Sign365 Better Than Competitors?">
            <p className="text-gray-800 dark:text-gray-200">
              While we have articles that break down the exact{" "}
              <Link href="/blogs">differences</Link>, the easiest way to put it
              is that we aren&apos;t but we have 2 killer features that makes us
              standout. 1. Your forms are able to talk with your systems and get
              them to perform business tasks. 2. We are an offline first
              platform
            </p>
          </FAQQuestion>
          <FAQQuestion title="What guarentees can you make?">
            <p className="text-gray-800 dark:text-gray-200">
              We believe so strongly in our offering that we are prepared to bet
              a 50% reduction in your forms processing work or your money back
            </p>
          </FAQQuestion>
          <FAQQuestion title="How does Sign365 work with my systems?">
            <p className="text-gray-800 dark:text-gray-200">
              We take information written on the forms and turn it into
              information your business systems can understand. Signups,
              contracts, surveys and notes can be taken and turned into events,
              tickets and purchases using APIs like Zapier as well as native
              API&apos;s like in the case of Workforce One. We upgrade your
              workflow based on your specifications and then give you the tools
              to manage it
            </p>
          </FAQQuestion>
          <FAQQuestion title="Is Sign365 easy to use?">
            <p className="text-gray-800 dark:text-gray-200">
              We were born as a company because SignNow had too many options for
              the people using it. Everyday people filling out their
              survey&apos;s were struggling to use it and so we simplified our
              application to only offer core functionalities
            </p>
          </FAQQuestion>
          <FAQQuestion title="What about support?">
            <p className="text-gray-800 dark:text-gray-200">
              We believe that support should be face to face and quick.
              Therefore we don&apos;t have any pricing tiers offering better
              support for more money. We want to get your issue fixed as soon as
              possible.
            </p>
          </FAQQuestion>
        </div>
      </div>
    </div>
  );
};
